Skip to main content
GET
/
v1
/
esims
/
{iccid}
/
smdp-info
Get SMDP state info of eSIM
curl --request GET \
  --url https://api.bondio.co/v1/esims/{iccid}/smdp-info \
  --header 'Authorization: Bearer <token>'
{
  "stateHistory": [
    {
      "modifiedAt": 123
    }
  ],
  "eid": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

iccid
string
required

iccid of the esim

Response

OK

Kindly note that the eid & currentState are not required fields. In the cases, where this feature is supported but Bondio doesn't have the data then these fields won't be present.

stateHistory
ProfileState · object[]
required
eid
string | null
currentState
enum<string>
Available options:
RELEASED,
DOWNLOADED,
INSTALLED,
ENABLED,
DISABLED,
DELETED